SMBUTIL(1) | General Commands Manual | SMBUTIL(1)

# NAME

`smbutil` —
interface to the SMB requester

# SYNOPSIS

`smbutil` | [`-hv`] command [`-`options] [args]

# DESCRIPTION

The `smbutil` command is used to control SMB requester and issue various commands.

There are two types of options — global and local to the specified command.

Global options are as follows:

`-h`
  Print a short help message.
`-v`
  Verbose output.

The commands and local options are:

`crypt` [password]
  Encrypt clear text password for use in the ~/.nsmbrc file. The encrypted password starts with the ‘`$$1`’ symbols. Warning: the encryption function is very weak and intended only to hide clear text password. If password is omitted from the command line, `smbutil` will prompt for one.
`help` command
  Print usage information about command.
`lc`
  List active connections and their parameters.
`login` [`-`connection_options] //user@server[/share]
  Login/attach to the specified server and/or share as user. This command will create and authenticate connection to an SMB server, and will leave it active after exit. Thus, it is possible to login only once and then use other SMB commands without authentication procedure and additional connections. For the description of `-`connection_options refer to the mount_smbfs(8) manpage (all uppercase options are connection options).
`logout` //user@server[/share]
  Logout/detach from the specified server and/or share as user. This command will destroy a connection created by the `login` command. A connection may not be closed immediately if it is used by other programs.
`lookup` [`-w` host] name
  Resolve the given name to an IP address. The NetBIOS name server can be directly specified via the `-w` option.
`print` [`-`connection_options] //user@server/share file
  Send the given file to the specified queue on the remote server. If file is -, then standard input will be used.
`view` [`-`connection_options] //user@server
  List resources available on the specified server for the user user.

# FILES

~/.nsmbrc
  Keeps description for each connection. See /usr/share/examples/smbfs/dot.nsmbrc for details.

# SEE ALSO

mount_smbfs(8)

# AUTHORS

Boris Popov <bp@butya.kz>, ⟨bp@FreeBSD.org⟩

# BUGS

Please report any bugs to the author.

February 14, 2000 | NetBSD 9.4